# Serialized Form

## Package org.codehaus.plexus.util

### Class org.codehaus.plexus.util.FastMap extends java.lang.Object implements Serializable

### Serialization Methods

#### readObject

    private void readObject​(java.io.ObjectInputStream stream)
                     throws java.io.IOException,
                            java.lang.ClassNotFoundException

Requires special handling during de-serialization process.

Throws:
  `java.io.IOException` - if an I/O error occurs.
  `java.lang.ClassNotFoundException` - if the class for the object de-serialized is not found.

#### writeObject

    private void writeObject​(java.io.ObjectOutputStream stream)
                      throws java.io.IOException

Requires special handling during serialization process.

Throws:
  `java.io.IOException` - if an I/O error occurs.

## Package org.codehaus.plexus.util.cli

### Class org.codehaus.plexus.util.cli.CommandLineException extends java.lang.Exception implements Serializable

### Class org.codehaus.plexus.util.cli.CommandLineTimeOutException extends CommandLineException implements Serializable

## Package org.codehaus.plexus.util.dag

### Class org.codehaus.plexus.util.dag.CycleDetectedException extends java.lang.Exception implements Serializable

### Serialized Fields

#### cycle

    java.util.List<java.lang.String> cycle

### Class org.codehaus.plexus.util.dag.DAG extends java.lang.Object implements Serializable

### Serialized Fields

#### vertexList

    java.util.List<Vertex> vertexList

Conatin list of all vertices

#### vertexMap

    java.util.Map<java.lang.String,​Vertex> vertexMap

Maps vertex's label to vertex

### Class org.codehaus.plexus.util.dag.Vertex extends java.lang.Object implements Serializable

### Serialized Fields

#### children

    java.util.List<Vertex> children

#### label

    java.lang.String label

#### parents

    java.util.List<Vertex> parents

## Package org.codehaus.plexus.util.introspection

### Class org.codehaus.plexus.util.introspection.MethodMap.AmbiguousException extends java.lang.Exception implements Serializable

## Package org.codehaus.plexus.util.reflection

### Class org.codehaus.plexus.util.reflection.ReflectorException extends java.lang.Exception implements Serializable

## Package org.codehaus.plexus.util.xml

### Class org.codehaus.plexus.util.xml.XmlReaderException extends java.io.IOException implements Serializable

### Serialized Fields

#### _bomEncoding

    java.lang.String _bomEncoding

#### _contentTypeEncoding

    java.lang.String _contentTypeEncoding

#### _contentTypeMime

    java.lang.String _contentTypeMime

#### _is

    java.io.InputStream _is

#### _xmlEncoding

    java.lang.String _xmlEncoding

#### _xmlGuessEncoding

    java.lang.String _xmlGuessEncoding

### Class org.codehaus.plexus.util.xml.XmlStreamReaderException extends XmlReaderException implements Serializable

### Class org.codehaus.plexus.util.xml.Xpp3Dom extends java.lang.Object implements Serializable

serialVersionUID:
  2567894443061173996L

### Serialized Fields

#### attributes

    java.util.Map<java.lang.String,​java.lang.String> attributes

#### childList

    java.util.List<Xpp3Dom> childList

#### inputLocation

    java.lang.Object inputLocation

Since:
  3.2.0

#### name

    java.lang.String name

#### parent

    Xpp3Dom parent

#### value

    java.lang.String value

## Package org.codehaus.plexus.util.xml.pull

### Class org.codehaus.plexus.util.xml.pull.XmlPullParserException extends java.lang.Exception implements Serializable

### Serialized Fields

#### column

    int column

#### detail

    java.lang.Throwable detail

Deprecated.
use generic getCause() method

#### row

    int row